"""Ferda auction urls."""

from django.conf import settings
from django.urls import path
from ferda.api import PydanticJsonRenderer
from ninja import NinjaAPI

from .api import router

api = NinjaAPI(
    urls_namespace="ferda_auction:api",
    # Show API docs in debug mode only
    openapi_url=settings.DEBUG and "/openapi.json" or "",
    csrf=True,
    renderer=PydanticJsonRenderer(),
)
api.add_router("auction", router)

app_name = "ferda_auction"

urlpatterns = [
    path("api/", api.urls),
]
